KDESU(1)

NAME
kdesu - Runs a program with elevated privileges.

SYNOPSIS
kdesu [Qt-options] [KDE-options] [kdesu options] command

DESCRIPTION
Runs a program with elevated privileges.

KDE su is a graphical front end to the Unix su utility. It allows you to run programs as another user by entering their password. It is not a SUID root program, but runs unprivileged. The system program su is used for acquiring special privileges.

kdesu has the ability to store passwords for the convenience of users. The passwords are NOT written to disk, but stored in memory using a special program, kdesud. This is only done if the user specifies that the password be remembered. In this case, passwords are stored in memory for a certain period of time before being removed. kdesud runs in such a way that only the user who entered the password originally can use it, though no one, not even the user who originally entered the password, can retrieve the password that is stored by kdesud. Through these measures, users can avoid having to repeatedly enter root passwords or other passwords, without a significant risk to overall system security.

kdesu uses normally su to gain root by using the root password. kdesu can also be configured to use other commands to gain root like sudo to use users password.

OPTIONS

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-kde
    Show KDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

  kdesu Options:

  -c <command>
Specifies the command to run

-f <file>
    Run command under target uid if <file> is not writable

-u <user>
    Specifies the target uid [default is root]

-n  Do not keep password

-s  Stop the daemon (forgets all passwords)

-t  Enable terminal output (no password keeping)

-p <prio>
    Set priority value: 0 <= prio <= 100, 0 is lowest [default is 50]

-r  Use realtime scheduling

--nonewdcop
    Let command use existing dcopserver

-i <icon name>
    Specify icon to use in the password dialog

-d  Do not show the command to be run in the dialog

  Arguments:

  command
Specifies the command to run

CONFIGURATION FILES

kdesu can be configured with a default configuration file /etc/trinity/kdesurc and with a per user configuration file in .kde/share/config/kdesurc. Alternative a section could be added to kdeglobals.

EXAMPLE
The configuration item for the configuration files is the following:
[super-user-command]
super-user-command=sudo

SEE ALSO
Full user documentation is available through the KDE Help Center. You can also enter the URL help:/kdesu/ directly into konqueror or you can run `khelpcenter help:/kdesu/' from the command-line.

AUTHORS
Geert Jansen <jansen@kde.org>
Pietro Iglio <iglio@fub.it>

This manual page was written by Christopher Martin <chrsmrtn@debian.org> for Debian GNU/Linux, but may be used by others. It borrows from an earlier manpage by Karolina Lindqvist <pgd-karolinali@algonet.se>.